#version 1.0.2

durationToString(Integer duration, Integer durationUnit : AString string){
	if(duration != 0){
		if((0x07 & durationUnit) == 0){//seconds
			if(duration < 5400){
				if(duration < 90){
					if(duration == 1) string = "1 Second";
					else string = duration.ToString() + " Seconds";
				}
				else string = (duration / 60.0).ToString() + " Minutes";
			}
			else string = (duration/3600.0).ToString() + " Hours";
		}
		else if((0x07 & durationUnit) == 1){//minutes
			if(duration < 90){
				if(duration == 1) string = "1 Minute";
				else string = duration.ToString() + " Minutes";
			}
			else string = (duration/60.0).ToString() + " Hours";
		}
		else if((0x07 & durationUnit) == 2){//hours
			if(duration == 1) string = "1 Hour";
			else string = duration.ToString() + " Hours";
		}
		else if((0x07 & durationUnit) == 3){//Days
			if(duration == 1) string = "1 Day";
			else string = duration.ToString() + " Days";
		}
		else if((0x07 & durationUnit) == 4){//Weeks
			if(duration == 1) string = "1 Week";
			else string = duration.ToString() + " Week";
		}
		else if((0x07 & durationUnit) == 5){//Months
			if(duration == 1) string = "1 Month";
			else string = duration.ToString() + " Months";
		}
		else if((0x07 & durationUnit) == 6){//Years
			if(duration == 1) string = "1 Year";
			else string = duration.ToString() + " Years";
		}
		else string = "Duration = " + duration.ToString();
	}
	else string = "none - " + duration;
}

currencyToString(Decimal value, AString currencyStrings = "" : AString string){
	string = value.ToString("%.2f");
}
